%define buildfor_mdk90  %(awk '{print ($4 == "9.0")}' %{_sysconfdir}/mandrake-release)
%define pref 	%{_prefix}
%define python 	%{_bindir}/python
%define pyver 	2.2
%define debug 	0
%define port  	GTK
%define lcport 	gtk
%define tarname wxPythonSrc
%define version 2.4.0.6
%define ver2    2.4
%define release 1mdk
%define wxpref  %{pref}/lib/wxPython

# Should --enable-debug_flag be used in release builds?
%define debug_flag 0
%define name      wxPython%{port}
%define major 2.4
%if %buildfor_mdk90
%define libname lib%{name}%{major}
%else
%define libname %mklibname %{name} %{major}
%endif

%if %{debug} || %{debug_flag}
    %define wxconfigname %{wxpref}/bin/wx%{lcport}d-%{ver2}-config
%else
    %define wxconfigname %{wxpref}/bin/wx%{lcport}-%{ver2}-config
%endif


#----------------------------------------------------------------
Summary:   Cross platform GUI toolkit for Python using wx%{port}
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{tarname}-%{version}.tar.bz2
License:   LGPL/wxWindows Library Licence, Version 3
URL:       http://wxPython.org/
Group:     Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix:    %{pref}
BuildRequires: libMesaGLU1-devel
BuildRequires: libpython-devel >= %pyver
BuildRequires: libgtk+1.2-devel

Provides: wxwin
Provides: wxPython  = %{version}
# old wxPython packages
Obsoletes: wxPython
Requires: %libname = %version-%release
 
%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package is implemented using the %{port} port of wxWindows.

%package -n %libname
Summary: Shared library of wxGTK for wxPythonGTK
Group: System/Libraries

%description -n %libname
This is the internal version of the wxGTK shared library included 
in wxPythonGTK.

%package -n %libname-devel
Summary: Development files of wxPython%{port}
Group: Development/Python
Provides: libwxPythonGTK-devel = %version-%release
Provides: libwxPythonGTK2.3-devel = %version-%release
Requires: wxPython%{port} = %{version}-%release
Requires: %libname = %{version}-%release

%description -n %libname-devel
This packages contains the headers and etc. for building apps or
Python extension modules that use the same wx%{port} shared libraries
that wxPython uses.

%prep
%setup -q -n %{tarname}-%{version}


%build
mkdir build
cd build

# Configure, trying to reduce dependencies
../configure --with-%{lcport} \
	--prefix=%{wxpref} \
	--enable-soname \
	--enable-rpath=%{wxpref}/lib \
	--with-opengl \
%if %{debug}
	--enable-debug \
%else
	--enable-optimise \
%if %{debug_flag}
	--enable-debug_flag \
%endif
%endif
	--with-libjpeg=builtin \
	--with-libpng=builtin \
	--with-libtiff=builtin \
	--with-zlib=builtin \

##	--enable-debug_flag \
##	--with-odbc \


# Build wxWindows
%make

cd ../locale
make allmo


# ** Unfortunately we have to do a bit of installation here so wxPython
# can be built.  Perhaps wx-config should be changed to be able to be
# used from the build dir, maybe with an --inplace flag...  Move these
# three lines to %install if/when that happens.
rm -rf $RPM_BUILD_ROOT
cd ../build
make prefix=$RPM_BUILD_ROOT%{wxpref} \
 install


# Now build wxPython
cd ../wxPython
%{python} setup.py \
	IN_CVS_TREE=1 \
	NO_SCRIPTS=1 \
	WX_CONFIG="$RPM_BUILD_ROOT%{wxpref}/bin/wx-config --prefix=$RPM_BUILD_ROOT%{wxpref}" \
	build


%install
cd wxPython
%{python} setup.py \
	IN_CVS_TREE=1 \
	NO_SCRIPTS=1 \
	WX_CONFIG="$RPM_BUILD_ROOT%{wxpref}/bin/wx-config --prefix=$RPM_BUILD_ROOT%{wxpref}" \
	install \
	--root=$RPM_BUILD_ROOT

# Since I want this RPM to be as generic as possible I won't let
# distutils copy the scripts, since it will mangle the #! line
# to use the real python pathname.  Since some distros install
# python 2.2 as python2 and others as python, then I can't let
# it do that otherwise the dependencies will be fouled up.  Copy
# them manually instead:

mkdir -p $RPM_BUILD_ROOT%{_bindir}
for s in \
	img2png \
	img2py \
	img2xpm \
	pycrust \
	pyshell \
	xrced; do
    cp scripts/$s $RPM_BUILD_ROOT%{_bindir}
done




%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc docs/preamble.txt
%doc docs/licence.txt
%doc docs/readme.txt
%doc docs/changes.txt
%doc wxPython/README.txt
%doc wxPython/CHANGES.txt
%{pref}/lib/python*
%lang(cs) %{wxpref}/share/locale/cs/LC_MESSAGES/wxstd.mo
%lang(da) %{wxpref}/share/locale/da/LC_MESSAGES/wxstd.mo
%lang(de) %{wxpref}/share/locale/de/LC_MESSAGES/wxstd.mo
%lang(es) %{wxpref}/share/locale/es/LC_MESSAGES/wxstd.mo
%lang(fi) %{wxpref}/share/locale/fi/LC_MESSAGES/wxstd.mo
%lang(fr) %{wxpref}/share/locale/fr/LC_MESSAGES/wxstd.mo
%lang(hu) %{wxpref}/share/locale/hu/LC_MESSAGES/wxstd.mo
%lang(id) %{wxpref}/share/locale/id/LC_MESSAGES/wxstd.mo
%lang(it) %{wxpref}/share/locale/it/LC_MESSAGES/wxstd.mo
%lang(nl) %{wxpref}/share/locale/nl/LC_MESSAGES/wxstd.mo
%lang(pl) %{wxpref}/share/locale/pl/LC_MESSAGES/wxstd.mo
%lang(ru) %{wxpref}/share/locale/ru/LC_MESSAGES/wxstd.mo
%lang(sl) %{wxpref}/share/locale/sl/LC_MESSAGES/wxstd.mo
%lang(sv) %{wxpref}/share/locale/sv/LC_MESSAGES/wxstd.mo
%lang(tr) %{wxpref}/share/locale/tr/LC_MESSAGES/wxstd.mo
%lang(zh) %{wxpref}/share/locale/zh/LC_MESSAGES/wxstd.mo
%{wxpref}/share/wx
%{pref}/bin/*

%files -n %libname
%defattr(-,root,root)
%{wxpref}/lib/libwx*.so.*


%files -n %libname-devel
%defattr(-,root,root)
%{wxpref}/include/wx
%{wxpref}/lib/*.so
%{wxpref}/lib/wx
%{wxpref}/share/aclocal/wxwin.m4
%{wxconfigname}
%{wxpref}/bin/wx-config

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.6-1mdk
- fix buildrequires
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.5-1mdk
- new version

* Sat Mar  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.4-1mdk
- new version

* Wed Jan 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.2-2mdk
- fix mdk9.0 build
- fix buildrequires

* Wed Jan 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.2-1mdk
- mklibname macro
- new version

* Sat Jan 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.1-1mdk
- update file list
- new major
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.4.2-1mdk
- add missing file
- new version

* Mon Oct 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.3.1-2mdk
- build wxGTK with soname, to make libification work

* Fri Sep 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.3.1-1mdk

- changed license to the official dual license
- use included wxGTK version like recommended
- sync with official spec file
- renamed do wxPythonGTK
- new version

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.2.1-4mdk
- remove unused patch
- rebuild with gcc 3.2

* Wed Jun  5 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2.1-3mdk
- Enable gizmos

* Fri May 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.2.1-2mdk
- disable gizmos, doesn't build with gcc3.1
- build with gcc3.1

* Sat Apr 20 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2.1-1mdk
- First Mandrake release, based on spec by Robin Dunn <robin@alldunn.com>

